// creator  : weidu.exe (version 23600)
// argument : MAPLE.DLG
// game     : .
// source   : ./override/MAPLE.DLG
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~MAPLE~

IF ~  True()
~ THEN BEGIN 0 // from:
  SAY #11467 /* ~WHAT?! You were going to ask about my name, weren't you? Everyone wants to know about it, and you're probably no different! Well, fine! Maple Willow Aspen IS my name and YES my parents were VERY fond of TREES! I am VERY aware of it, and NO I don't want to hear ANY jokes about family trees and me being the SAP! Are you HAPPY NOW?!~ */
  IF ~~ THEN REPLY #11468 /* ~Actually, I was just interested in directions.~ */ GOTO 3
  IF ~~ THEN REPLY #11469 /* ~You have problems? How do you think I FEEL?! HUH? <CHARNAME>! What were they THINKING?! HUH? HA HUH?! WHAT?!~ */ GOTO 2
  IF ~~ THEN REPLY #11470 /* ~So, your parents were very fond of trees?~ */ GOTO 1
  IF ~Global("X#MAPLE0","GLOBAL",0)
InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#MAPLE0","GLOBAL",1)~ EXTERN ~FALDOJ~ 167
  IF ~Global("X#MAPLE0","GLOBAL",0)
InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#MAPLE0","GLOBAL",1)~ EXTERN ~GARRIJ~ 204
END

IF ~~ THEN BEGIN 1 // from: 4.1 3.2 3.0 0.2
  SAY #11471 /* ~Eeep.~ */
  IF ~~ THEN DO ~ForceSpell(Myself,MUSHROOM_FIRE)
Wait(1)
DestroySelf()
~ EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #11472 /* ~Um... perhaps you should... relax a little? G'bye.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 3 // from: 0.0
  SAY #11473 /* ~DIRECT... um... d-d-irections? You mean you don't... well then. *cough* What can I help you with?~ */
  IF ~~ THEN REPLY #11474 /* ~So, your parents were very fond of trees?~ */ GOTO 1
  IF ~~ THEN REPLY #11475 /* ~I'm just interested in Baldur's Gate. What are the interesting sights?~ */ GOTO 4
  IF ~~ THEN REPLY #11476 /* ~Um... with all the commotion I think I forgot. Perhaps I will come back later. What was your name again?~ */ GOTO 1
END

IF ~~ THEN BEGIN 4 // from: 3.1
  SAY #11477 /* ~Well... um, I suppose the Hall of Wonders is nice i-if you like gadgetry. It's in the west-central section of the city. Sorcerous Sundries is nice too. That's in the east-central area. Other than that, I don't know. Can I do anything else for you?~ */
  IF ~~ THEN REPLY #11478 /* ~No, thank you.~ */ GOTO 5
  IF ~~ THEN REPLY #11479 /* ~You mentioned trees. Your parents were very fond of them?~ */ GOTO 1
END

IF ~~ THEN BEGIN 5 // from: 4.0
  SAY #11480 /* ~Until next time then.~ */
  IF ~~ THEN EXIT
END
